> ## Documentation Index
> Fetch the complete documentation index at: https://reel25.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Videos to Folder

> Add videos to a folder

Add up to 50 videos to a folder by their IDs.

## Path parameters

<ParamField path="id" type="string" required>
  The folder UUID.
</ParamField>

## Body parameters

<ParamField body="video_ids" type="string[]" required>
  Array of video UUIDs to add (max 50).
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST https://api.reel25.com/api/v1/folders/f1a2b3c4-.../videos \
    -H "Authorization: Bearer reel25_sk_..." \
    -H "Content-Type: application/json" \
    -d '{"video_ids": ["550e8400-...", "660f9500-..."]}'
  ```

  ```javascript Node.js theme={null}
  const response = await fetch(
    'https://api.reel25.com/api/v1/folders/f1a2b3c4-.../videos',
    {
      method: 'POST',
      headers: {
        'Authorization': 'Bearer reel25_sk_...',
        'Content-Type': 'application/json',
      },
      body: JSON.stringify({
        video_ids: ['550e8400-...', '660f9500-...'],
      }),
    }
  );
  ```

  ```python Python theme={null}
  import requests

  response = requests.post(
      f'https://api.reel25.com/api/v1/folders/{folder_id}/videos',
      headers={
          'Authorization': 'Bearer reel25_sk_...',
          'Content-Type': 'application/json',
      },
      json={'video_ids': ['550e8400-...', '660f9500-...']}
  )
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "data": {
      "added": 2,
      "alreadyInFolder": 0
    }
  }
  ```
</ResponseExample>


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.